//default is lowp (prepended by FF)

varying vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec3 v_position;
varying mediump float v_gradient;

uniform sampler2D u_texture;

void main() 
{
    vec4 textureColor = texture2D(u_texture, v_texCoord) * v_color;
		
    //gl_FragColor = vec4(textureColor.rgb + (textureColor.rgb * v_gradient * 2.0 * textureColor.a), textureColor.a);
	//gl_FragColor = vec4(textureColor.rgb, textureColor.a);
	gl_FragColor = vec4(textureColor.rgb + v_gradient * (textureColor.rgb * v_gradient - 0.18), textureColor.a);
}