attribute mediump vec4 a_position;
attribute mediump vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp mat4 u_modelViewMatrix;

varying vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec3 v_position;

void main() 
{
    v_color = a_color;
    v_texCoord = a_texCoord;  
    v_position = (u_modelViewMatrix * a_position).xyz;
		
    gl_Position = u_modelViewProjectionMatrix * a_position;
}