attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute lowp vec2 a_texCoord;
attribute lowp vec3 a_normal;

uniform highp mat4 u_modelViewProjectionMatrix;

varying lowp vec4 v_texCoord;
varying float v_alpha;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_texCoord.xy = a_texCoord;
	v_texCoord.zw = a_color.rg;
	v_alpha = a_color.a;
}